---
image: /generated/articles-docs-troubleshooting-loading-root-component.png
id: loading-root-component
title: Root component Timeout
crumb: "Troubleshooting"
---

If you get an error message:

```
A delayRender() "Loading root component" was called but not cleared after 28000ms
```

You have specified an [entry point](/docs/terminology#entry-point) that does not call [`registerRoot()`](/docs/register-root).

In most of the templates, the entry point is `src/index.ts`.

- Maybe you have specified the list of compositions (`src/Root.tsx` in most templates) instead.
- Maybe you have specified the filename of a component that you want to render.

Ensure that you are passing the file that calls [`registerRoot()`](/docs/register-root) as the entry point.

In the CLI, the entry point is passed as an argument to the render command:

```
npx remotion render [entry-point]
```

In the [`bundle()`](/docs/bundle) and [`deploySite()`](/docs/lambda/deploysite) Node.JS apis, you pass the entry point via the [`entryPoint`](/docs/terminology#entry-point) property.

## See also

- [Timeout](/docs/timeout)
